<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);

        $this->call(ModelsTableSeeder::class);
        $this->call(PermissionTableSeeder::class);
        $this->call(CreateAdminUserSeeder::class);
        $this->call(CreateSoftwareBrandingSeeder::class);
        $this->call(AccountTitleSeeder::class);
        $this->call(CountriesTableSeeder::class);
        $this->call(AddressTypesSeeder::class);
        $this->call(AccountingTypesSeeder::class);
        $this->call(AccountingGroupsTableSeeder::class);
        $this->call(AccountSettlementTypeSeeder::class);
        $this->call(StatesTableSeeder::class);
        $this->call(CitiesTableSeeder::class);
        $this->call(FontFamilySeeder::class);
        $this->call(TaxCategoryTableSeeder::class);
        $this->call(BusinessDivissionsTableSeeder::class);
        $this->call(AccountTypesTableSeeder::class);
        $this->call(PaymentTermsTableSeeder::class);
        $this->call(StorageSettingTableSeeder::class);
        $this->call(TaxRegisterCategoryTableSeeder::class);
        $this->call(OrganizationTypesTableSeeder::class);
        $this->call(CountryCurrenciesTableSeeder::class);
        $this->call(SmsApiSettingsSeeder::class);
        $this->call(LicenseTypeTableSeeder::class);
        $this->call(DocumentTypeTableSeeder::class);
        $this->call(LanguageTableSeeder::class);
        $this->call(CurrencyTableSeeder::class);
        $this->call(DateFormatTableSeeder::class);
        $this->call(TimeFormatTableSeeder::class);
        $this->call(TimezoneTableSeeder::class);
        $this->call(CompaniesTableSeeder::class);
        $this->call(PrimaryUnitTableSeeder::class);
        $this->call(ProductAlternativeUnitTableSeeder::class);
        $this->call(ProductAttributesTableSeeder::class);
        $this->call(ProductAttributeTypesTableSeeder::class);
        $this->call(ProductBrandsTableSeeder::class);
        $this->call(ProductCategoriesTableSeeder::class);
        $this->call(ProductGroupsTableSeeder::class);
        $this->call(ProductItemTypesTableSeeder::class);
        $this->call(ProductRacksTableSeeder::class);
        $this->call(ProductWarehousesTableSeeder::class);
        $this->call(ProductTestPackagesTableSeeder::class);
        // $this->call(EnquirySourcesTableSeeder::class);
        // $this->call(EnquiryStatusTableSeeder::class);
        // $this->call(EnquiryQualityTableSeeder::class);
        $this->call(TaxMasterTableSeeder::class);
        $this->call(AccountCategoriesTableSeeder::class);
        $this->call(TaxMasterSubTableSeeder::class);
        $this->call(OrganizationDepartmentTableSeeder::class);
        $this->call(BusinessCategoryTableSeeder::class);
        $this->call(VoucherMasterAndTypeAndSeriesTableSeeder::class);
        $this->call(AccountsTableSeeder::class);
        // $this->call(OpenApiTableSeeder::class);
        $this->call(PostsTableSeeder::class);
        // $this->call(TaskStatusTableSeeder::class);
        $this->call(DesignationTableSeeder::class);
        $this->call(EmployeeTypeTableSeeder::class);
        $this->call(RelationshipTypesTableSeeder::class);
        $this->call(NoticeTypeTableSeeder::class);
        $this->call(BillingIntervalTableSeeder::class);
        $this->call(GalleryTypeTableSeeder::class);
        $this->call(BranchTypeSeederTable::class);
        // $this->call(ProjectTypeTableSeeder::class);
        // $this->call(TaskPriorityTableSeeder::class);
        // $this->call(TaskChargesTableSeeder::class);
        // $this->call(AppointmentShiftSeederTable::class);
        $this->call(PaymentModeTableSeeder::class);
        // $this->call(DoctorChamberSeederTable::class);
        $this->call(VoucherTrackStatusesSeeder::class);
        $this->call(MasterSettingsTableSeeder::class);
        $this->call(CompanyImagesTableSeeder::class);
        $this->call(IndustryTypeTableSeeder::class);
        $this->call(DistrictsTableSeeder::class);
        // $this->call(SymptomsTableSeeder::class);
        // $this->call(PipelinesTableSeeder::class);
        // $this->call(TaskTypesSeeder::class);
        $this->call(PipelineStagesTableSeeder::class);
        // $this->call(SpecialCaseTableSeeder::class);
        $this->call(ProductsTableSeeder::class);
        $this->call(ProductPricesTableSeeder::class);
        $this->call(EInvoiceApiCallsTableSeeder::class);
        $this->call(EInvoiceApisTableSeeder::class);
        $this->call(EWayBillApiCallsTableSeeder::class);
        $this->call(EwayBillApiErrorsTableSeeder::class);
        $this->call(EWayBillApisTableSeeder::class);
        $this->call(BuildingsTableSeeder::class);
        $this->call(CreateBillingUserSeeder::class);
        $this->call(DeliveryTypeSeeder::class);
        $this->call(ShippingRiskSeeder::class);
        $this->call(VehicleDocumentTypeSeeder::class);
    }
}
